package com.dzeio.openhealth.core

import android.os.Bundle
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.annotation.LayoutRes
import androidx.appcompat.app.AppCompatActivity
import androidx.databinding.DataBindingUtil
import androidx.databinding.ViewDataBinding
import androidx.lifecycle.ViewModelProvider
import androidx.viewbinding.ViewBinding
import com.dzeio.openhealth.databinding.ActivityMainBinding

abstract class BaseActivity<VB : ViewBinding>() : AppCompatActivity() {


    /**
     * Function to inflate the Fragment Bindings
     *
     * use like this: `ViewBinding::inflater`
     */
    abstract val bindingInflater: (LayoutInflater) -> VB

    protected lateinit var binding: VB

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = bindingInflater(layoutInflater)

        setContentView(binding.root)

        onCreated(savedInstanceState)
    }

    protected open fun onCreated(savedInstanceState: Bundle?) {}
}