package com.dzeio.openhealth.data.weight

import androidx.room.*
import com.dzeio.openhealth.core.BaseDao
import dagger.Provides
import kotlinx.coroutines.flow.Flow

@Dao
interface WeightDao : BaseDao<Weight> {

    @Query("SELECT * FROM Weight")
    fun getAll(): Flow<List<Weight>>

    @Query("SELECT * FROM Weight where id = :weightId")
    fun getOne(weightId: Long): Flow<Weight?>


    @Query("Select count(*) from Weight")
    fun getCount(): Flow<Int>

    @Query("Select * FROM Weight WHERE id=(SELECT max(id) FROM Weight)")
    fun last(): Flow<Weight?>
}